Package groovy.json.internal

# Class Exceptions

java.lang.Object
groovy.json.internal.Exceptions

public class Exceptions extends Object

Author:
  Rick Hightower

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Exceptions.JsonInternalException`

## Constructor Summary

Constructors
Constructor
Description
`Exceptions()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`die()`
`static <T> T`
`die(Class<T> clazz, String message)`
`static boolean`
`die(String message)`
`static <T> T`
`handle(Class<T> clazz, Exception e)`
`static <T> T`
`handle(Class<T> clazz, String message, Throwable e)`
`static void`
`handle(Exception e)`
`static void`
`handle(String message, Throwable e)`
`static String`
`sputs(CharBuf buf, Object... messages)`
`static String`
`sputs(Object... messages)`
`static String`
`toString(Exception ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Exceptions

public Exceptions()

## Method Details

### die

public static boolean die()

### die

public static boolean die(String message)

### die

public static <T> T die(Class<T> clazz, String message)

### handle

public static void handle(Exception e)

### handle

public static <T> T handle(Class<T> clazz, Exception e)

### handle

public static <T> T handle(Class<T> clazz, String message, Throwable e)

### handle

public static void handle(String message, Throwable e)

### toString

public static String toString(Exception ex)

### sputs

public static String sputs(CharBuf buf, Object... messages)

### sputs

public static String sputs(Object... messages)